package zaixianketang

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/zaixianketang/model"
)

type lesson struct {
	Table
	course     course
	userCourse userCourse
	create     string `name:"create title* content*" role:"teacher"`
}

func (s lesson) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.COURSE_UID))...)
	s.RecordEventWithName(m, "")
}
func (s lesson) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userCourse, s.course, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(lesson{}) }
