package jiaowuxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type homework struct {
	Table
	class     class
	userClass userClass
	create    string `name:"create title* content*" role:"teacher"`
}

func (s homework) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.CLASS_UID, model.USER_UID))...)
	s.RecordEventWithName(m, "")
}
func (s homework) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userClass, s.class, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(homework{}) }
