package kaoshixitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/education/src/kaoshixitong/model"
)

type question struct {
	Table
	exam     exam
	userExam userExam
	create   string `name:"create title* content*" role:"leader"`
}

func (s question) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.EXAM_UID))...)
	s.RecordEventWithName(m, "")
}
func (s question) List(m *ice.Message, arg ...string) {
	s.TablesWithRole(m, arg, s.userExam, s.exam, s, model.TITLE, model.CONTENT).Display("")
}

func init() { ice.TeamCtxCmd(question{}) }
